# API Documentation

- [Hyperspace Client](https://docs.hyper-space.io/hyperspace-docs/api-documentation/hyperspace-client.md)
- [add\_batch](https://docs.hyper-space.io/hyperspace-docs/api-documentation/hyperspace-client/add_batch.md)
- [add\_document](https://docs.hyper-space.io/hyperspace-docs/api-documentation/hyperspace-client/add_document.md)
- [async\_req](https://docs.hyper-space.io/hyperspace-docs/api-documentation/hyperspace-client/async_req.md)
- [clear\_collection](https://docs.hyper-space.io/hyperspace-docs/api-documentation/hyperspace-client/clear_collection.md)
- [collections\_info](https://docs.hyper-space.io/hyperspace-docs/api-documentation/hyperspace-client/collections_info.md)
- [commit](https://docs.hyper-space.io/hyperspace-docs/api-documentation/hyperspace-client/commit.md)
- [create\_collection](https://docs.hyper-space.io/hyperspace-docs/api-documentation/hyperspace-client/create_collection.md)
- [delete\_collection](https://docs.hyper-space.io/hyperspace-docs/api-documentation/hyperspace-client/delete_collection.md)
- [delete\_by\_query](https://docs.hyper-space.io/hyperspace-docs/api-documentation/hyperspace-client/delete_by_query.md)
- [dsl\_search](https://docs.hyper-space.io/hyperspace-docs/api-documentation/hyperspace-client/dsl_search.md)
- [get\_schema](https://docs.hyper-space.io/hyperspace-docs/api-documentation/hyperspace-client/get_schema.md)
- [get\_document](https://docs.hyper-space.io/hyperspace-docs/api-documentation/hyperspace-client/get_document.md): Describes how to build and run a Classic Search query.
- [reset\_password](https://docs.hyper-space.io/hyperspace-docs/api-documentation/hyperspace-client/reset_password.md)
- [search](https://docs.hyper-space.io/hyperspace-docs/api-documentation/hyperspace-client/search.md)
- [update\_by\_query](https://docs.hyper-space.io/hyperspace-docs/api-documentation/hyperspace-client/update_by_query.md)
- [update\_document](https://docs.hyper-space.io/hyperspace-docs/api-documentation/hyperspace-client/update_document.md)
- [DSL Query Framework](https://docs.hyper-space.io/hyperspace-docs/api-documentation/dsl-query-framework.md)
- [Aggregations](https://docs.hyper-space.io/hyperspace-docs/api-documentation/dsl-query-framework/aggregations.md)
- [Cardinality Aggregation](https://docs.hyper-space.io/hyperspace-docs/api-documentation/dsl-query-framework/aggregations/cardinality-aggregation.md)
- [Date Histogram](https://docs.hyper-space.io/hyperspace-docs/api-documentation/dsl-query-framework/aggregations/date-histogram.md)
- [Metric Aggregations](https://docs.hyper-space.io/hyperspace-docs/api-documentation/dsl-query-framework/aggregations/metric-aggregations.md)
- [Terms Aggregation](https://docs.hyper-space.io/hyperspace-docs/api-documentation/dsl-query-framework/aggregations/terms-aggregation.md)
- [Bool Queries](https://docs.hyper-space.io/hyperspace-docs/api-documentation/dsl-query-framework/bool-queries.md)
- [Free Text Search](https://docs.hyper-space.io/hyperspace-docs/api-documentation/dsl-query-framework/bool-queries/free-text-search.md)
- ['match' Clause](https://docs.hyper-space.io/hyperspace-docs/api-documentation/dsl-query-framework/bool-queries/match-clause.md)
- ['filter' Clause](https://docs.hyper-space.io/hyperspace-docs/api-documentation/dsl-query-framework/bool-queries/filter-clause.md)
- ['must' Clause](https://docs.hyper-space.io/hyperspace-docs/api-documentation/dsl-query-framework/bool-queries/must-clause.md)
- ['must\_not' Clause](https://docs.hyper-space.io/hyperspace-docs/api-documentation/dsl-query-framework/bool-queries/must_not-clause.md)
- ['should' Clause](https://docs.hyper-space.io/hyperspace-docs/api-documentation/dsl-query-framework/bool-queries/should-clause.md)
- ['should\_not' Clause](https://docs.hyper-space.io/hyperspace-docs/api-documentation/dsl-query-framework/bool-queries/should_not-clause.md)
- [Candidate Generation and Metadata Filtering](https://docs.hyper-space.io/hyperspace-docs/api-documentation/dsl-query-framework/candidate-generation-and-metadata-filtering.md)
- [Geo Coordinates Match](https://docs.hyper-space.io/hyperspace-docs/api-documentation/dsl-query-framework/candidate-generation-and-metadata-filtering/geo-coordinates-match.md)
- [Range Match](https://docs.hyper-space.io/hyperspace-docs/api-documentation/dsl-query-framework/candidate-generation-and-metadata-filtering/range-match.md)
- [Term Match](https://docs.hyper-space.io/hyperspace-docs/api-documentation/dsl-query-framework/candidate-generation-and-metadata-filtering/term-match.md)
- [Scoring and Ranking](https://docs.hyper-space.io/hyperspace-docs/api-documentation/dsl-query-framework/scoring-and-ranking.md)
- [Boost](https://docs.hyper-space.io/hyperspace-docs/api-documentation/dsl-query-framework/scoring-and-ranking/boost.md)
- ['dis\_max'](https://docs.hyper-space.io/hyperspace-docs/api-documentation/dsl-query-framework/scoring-and-ranking/dis_max.md)
- [Function Score](https://docs.hyper-space.io/hyperspace-docs/api-documentation/dsl-query-framework/scoring-and-ranking/function-score.md)
- [Rarity Score (TF-IDF)](https://docs.hyper-space.io/hyperspace-docs/api-documentation/dsl-query-framework/scoring-and-ranking/rarity-score-tf-idf.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hyper-space.io/hyperspace-docs/api-documentation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
